com.pixelmed.test

## Class TestCharacterSetTextAttribute

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestCharacterSetTextAttribute

-     public class TestCharacterSetTextAttribute
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCharacterSetTextAttribute(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestCharacterSetTextAttribute_AddStringValueFromByteArrayAndWriteIt()`
    `void` | `TestCharacterSetTextAttribute_AddValueAndWriteIt()`
    `void` | `TestCharacterSetTextAttribute_AddValueAndWriteItDefaultEncoding()`
    `void` | `TestCharacterSetTextAttribute_SetByteArrayValuesAndWriteIt()`
    `void` | `TestCharacterSetTextAttribute_SetValueAndWriteIt()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestCharacterSetTextAttribute

          public TestCharacterSetTextAttribute(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestCharacterSetTextAttribute_AddValueAndWriteItDefaultEncoding

          public void TestCharacterSetTextAttribute_AddValueAndWriteItDefaultEncoding()
                                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCharacterSetTextAttribute_AddValueAndWriteIt

          public void TestCharacterSetTextAttribute_AddValueAndWriteIt()
                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCharacterSetTextAttribute_SetValueAndWriteIt

          public void TestCharacterSetTextAttribute_SetValueAndWriteIt()
                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCharacterSetTextAttribute_AddStringValueFromByteArrayAndWriteIt

          public void TestCharacterSetTextAttribute_AddStringValueFromByteArrayAndWriteIt()
                                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCharacterSetTextAttribute_SetByteArrayValuesAndWriteIt

          public void TestCharacterSetTextAttribute_SetByteArrayValuesAndWriteIt()
                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`